      program Wurzel
** Programm zur iterativen Berechnung der Quadratwurzel

      implicit none

** Variablen-Definitionen
      integer i

      real*8 a, epsilon, x_neu, x_alt


** Eingaben
      write (*,*) ' Zahl ? '

      read (*,*) a

** Initialisierung
      x_alt = a/2. d 0
      epsilon = 1.0D-6 

** Iteration
 10   continue

        x_neu = (x_alt + a/x_alt)/2.0d0

          if ( abs(x_neu - x_alt) .gt. epsilon ) then

          x_alt = x_neu

          goto 10

        end if

 20   continue

** Ergebnis ausdrucken
      write (*,*) ' Die Quadratwurzel von ',a,' ist ',x_neu

** Programm Ende
      Stop
      End

